# Draft a new version of a legal document from the current choices

`POST /compliance/legal/documents/{doc}/versions` · Rivier · compliance

Draft a new version of a legal document from the current choices. A draft is never public.

- Scope: compliance:write
- Mcp: rivier_legal_draft
- Graphql: Mutation.complianceLegalVersionDraft
- Sdk: compliance.legalVersion.draft
- Cli: compliance legal version draft

## Parameters

- `doc` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "changeNote": {
      "type": "string",
      "maxLength": 300
    },
    "jurisdictions": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "eu",
          "gb",
          "us",
          "us-ca",
          "ca",
          "qc",
          "br",
          "au"
        ]
      },
      "maxItems": 12
    },
    "mode": {
      "type": "string",
      "enum": [
        "combined",
        "separate"
      ]
    },
    "locales": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "en",
          "fr",
          "de",
          "es"
        ]
      },
      "minItems": 1,
      "maxItems": 4
    }
  },
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/compliance/legal/documents/{doc}/versions' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "changeNote": "string",
  "jurisdictions": [
    "eu"
  ],
  "mode": "combined",
  "locales": [
    "en"
  ]
}'
```
